# OpenQuest
A Language extension for the Quest language, a DSL for mission scripting (Metin2)


## Features
Supports mostly all known tipical features like:
 - Quest Language Highlighting and formatting
 - Lua Language embedded in respective Quest scopes
 - [OpenQuest Language Server support](https://github.com/oridevteam/openquest-rs)
 - Language Server connections (local and remote)


Describe specific features of your extension including screenshots of your extension in action. Image paths are relative to this README file.

For example if there is an image subfolder under your extension project workspace:

\!\[feature X\]\(images/feature-x.png\)

> Tip: Many popular extensions utilize animations. This is an excellent way to show off your extension! We recommend short, focused animations that are easy to follow.


## Requirements
The extension is able to provide everything necessary by itself,
however you can check its Settings for things you might want to change to your own


## Known Issues
Nothing quite yet


### Packaging
#### Debug
Run the packaging commands (it also bundles to slim it):
`vsce package`


#### Release
No instructions yet as the release/publish process is not decided

#### Reference links
https://code.visualstudio.com/api/working-with-extensions/publishing-extension
https://code.visualstudio.com/api/working-with-extensions/bundling-extension

