{ nixpkgs ? import <nixpkgs> {} }:
let
  pinnedPkgs = nixpkgs.fetchFromGitHub {
    owner  = "NixOS";
    repo   = "nixpkgs";
    rev    = "964006733a3380811d2e6c5870a8dc42f681429f";
    sha256 = "sha256-Ax4xTY4x8rHIrUt/xgTQ6/YBzE0JQ2fsXFuvkqx4X5s=";
  };
  pkgs = import pinnedPkgs {};
in
  pkgs.mkShell {
    buildInputs = with pkgs; [
      typescript
      nodejs_20
      vsce
      esbuild
    ];
}
